Batch by its number.
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/optimism/batches/{number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/optimism/batches/{number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/optimism/batches/{number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"l1_timestamp": "2023-11-07T05:31:56Z",
"l1_transaction_hashes": [
"<string>"
],
"l2_end_block_number": 123,
"l2_start_block_number": 123,
"number": 123,
"transactions_count": 123,
"blobs": [
{
"l1_timestamp": "2023-11-07T05:31:56Z",
"l1_transaction_hash": "<string>",
"cert": "<string>",
"commitment": "<string>",
"hash": "<string>",
"height": 123,
"namespace": "<string>"
}
]
}{
"message": "Resource not found"
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}optimism
Batch by its number.
Retrieves batch detailed info by the given number.
GET
/
{chain_id}
/
api
/
v2
/
optimism
/
batches
/
{number}
Batch by its number.
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
Batch number in the path.
Pattern:
^-?([1-9][0-9]*|0)$The ID of the blockchain
Response
Optimism.Batch.Detailed · object | null
Batch detailed info.
Optimism Batch struct.
Available options:
in_blob4844, in_celestia, in_eigenda, in_alt_da, in_calldata Pattern:
^0x([A-Fa-f0-9]{64})$Show child attributes
Show child attributes
Was this page helpful?
⌘I